io.agora.rtc

## Class LocalAudioTrackStats

- java.lang.Object
- - io.agora.rtc.LocalAudioTrackStats

-     public class LocalAudioTrackStats
      extends java.lang.Object

  Statistics of the local audio track.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `bufferedPcmDataListSize` Buffered PCM data list size
    `private int` | `droppedAudioFrames` Number of dropped audio frames
    `private int` | `enabled` Whether the track is enabled
    `private int` | `missedAudioFrames` Number of missed audio frames
    `private int` | `pushedAudioFrames` Number of pushed audio frames
    `private int` | `sentAudioFrames` Number of sent audio frames
    `private int` | `sourceId` Source ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalAudioTrackStats()` Default constructor for LocalAudioTrackStats.
    `LocalAudioTrackStats(int sourceId, int bufferedPcmDataListSize, int missedAudioFrames, int sentAudioFrames, int pushedAudioFrames, int droppedAudioFrames, int enabled)` Constructs LocalAudioTrackStats with all parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBufferedPcmDataListSize()` Gets the buffered PCM data list size.
    `int` | `getDroppedAudioFrames()` Gets the number of dropped audio frames.
    `int` | `getEnabled()` Gets whether the track is enabled.
    `int` | `getMissedAudioFrames()` Gets the number of missed audio frames.
    `int` | `getPushedAudioFrames()` Gets the number of pushed audio frames.
    `int` | `getSentAudioFrames()` Gets the number of sent audio frames.
    `int` | `getSourceId()` Gets the source ID.
    `void` | `setBufferedPcmDataListSize(int bufferedPcmDataListSize)` Sets the buffered PCM data list size.
    `void` | `setDroppedAudioFrames(int droppedAudioFrames)` Sets the number of dropped audio frames.
    `void` | `setEnabled(int enabled)` Sets whether the track is enabled.
    `void` | `setMissedAudioFrames(int missedAudioFrames)` Sets the number of missed audio frames.
    `void` | `setPushedAudioFrames(int pushedAudioFrames)` Sets the number of pushed audio frames.
    `void` | `setSentAudioFrames(int sentAudioFrames)` Sets the number of sent audio frames.
    `void` | `setSourceId(int sourceId)` Sets the source ID.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sourceId

          private int sourceId

      Source ID

    - #### bufferedPcmDataListSize

          private int bufferedPcmDataListSize

      Buffered PCM data list size

    - #### missedAudioFrames

          private int missedAudioFrames

      Number of missed audio frames

    - #### sentAudioFrames

          private int sentAudioFrames

      Number of sent audio frames

    - #### pushedAudioFrames

          private int pushedAudioFrames

      Number of pushed audio frames

    - #### droppedAudioFrames

          private int droppedAudioFrames

      Number of dropped audio frames

    - #### enabled

          private int enabled

      Whether the track is enabled

  - ### Constructor Detail

    - #### LocalAudioTrackStats

          public LocalAudioTrackStats()

      Default constructor for LocalAudioTrackStats.

    - #### LocalAudioTrackStats

          public LocalAudioTrackStats(int sourceId,
                                      int bufferedPcmDataListSize,
                                      int missedAudioFrames,
                                      int sentAudioFrames,
                                      int pushedAudioFrames,
                                      int droppedAudioFrames,
                                      int enabled)

      Constructs LocalAudioTrackStats with all parameters.
      Parameters:
        `sourceId` - Source ID
        `bufferedPcmDataListSize` - Buffered PCM data list size
        `missedAudioFrames` - Number of missed audio frames
        `sentAudioFrames` - Number of sent audio frames
        `pushedAudioFrames` - Number of pushed audio frames
        `droppedAudioFrames` - Number of dropped audio frames
        `enabled` - Whether the track is enabled

  - ### Method Detail

    - #### getSourceId

          public int getSourceId()

      Gets the source ID.
      Returns:
        Source ID

    - #### setSourceId

          public void setSourceId(int sourceId)

      Sets the source ID.
      Parameters:
        `sourceId` - Source ID

    - #### getBufferedPcmDataListSize

          public int getBufferedPcmDataListSize()

      Gets the buffered PCM data list size.
      Returns:
        Buffered PCM data list size

    - #### setBufferedPcmDataListSize

          public void setBufferedPcmDataListSize(int bufferedPcmDataListSize)

      Sets the buffered PCM data list size.
      Parameters:
        `bufferedPcmDataListSize` - Buffered PCM data list size

    - #### getMissedAudioFrames

          public int getMissedAudioFrames()

      Gets the number of missed audio frames.
      Returns:
        Number of missed audio frames

    - #### setMissedAudioFrames

          public void setMissedAudioFrames(int missedAudioFrames)

      Sets the number of missed audio frames.
      Parameters:
        `missedAudioFrames` - Number of missed audio frames

    - #### getSentAudioFrames

          public int getSentAudioFrames()

      Gets the number of sent audio frames.
      Returns:
        Number of sent audio frames

    - #### setSentAudioFrames

          public void setSentAudioFrames(int sentAudioFrames)

      Sets the number of sent audio frames.
      Parameters:
        `sentAudioFrames` - Number of sent audio frames

    - #### getPushedAudioFrames

          public int getPushedAudioFrames()

      Gets the number of pushed audio frames.
      Returns:
        Number of pushed audio frames

    - #### setPushedAudioFrames

          public void setPushedAudioFrames(int pushedAudioFrames)

      Sets the number of pushed audio frames.
      Parameters:
        `pushedAudioFrames` - Number of pushed audio frames

    - #### getDroppedAudioFrames

          public int getDroppedAudioFrames()

      Gets the number of dropped audio frames.
      Returns:
        Number of dropped audio frames

    - #### setDroppedAudioFrames

          public void setDroppedAudioFrames(int droppedAudioFrames)

      Sets the number of dropped audio frames.
      Parameters:
        `droppedAudioFrames` - Number of dropped audio frames

    - #### getEnabled

          public int getEnabled()

      Gets whether the track is enabled.
      Returns:
        Whether the track is enabled

    - #### setEnabled

          public void setEnabled(int enabled)

      Sets whether the track is enabled.
      Parameters:
        `enabled` - Whether the track is enabled